POST openApi/followUpActivities/{followUpActivityId}/student/{userIdentifier}
Authorization
Access to this endpoint is public.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| followUpActivityId | globally unique identifier |
Required |
|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
Body Parameters
PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| StudentId | globally unique identifier |
None. |
|
| ReporterId | globally unique identifier |
None. |
|
| ReporterFullName | string |
None. |
|
| LocalDate | date |
None. |
|
| Result | string |
None. |
|
| HasReachedStudent | boolean |
None. |
|
| StaffMemberPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| FollowUpActivityType | PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityTypeViewModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": "f23aeeac-a51f-4c77-8b08-667c79fc9778",
"StudentId": "0767ef5d-b572-4792-988d-9ee97d78f429",
"ReporterId": "7cb7301c-529e-402e-b1ad-90a7793cc159",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-09-22T08:17:39.1260195+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "05b07bcb-dfaa-4e83-8325-1860fb48e436",
"Name": "sample string 2"
}
}
Response Information
Resource Description
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.